# OpenAPIClient

The SDK allows you to receive and send messages through your WhatsApp account. [Sign up now](https://app.chat-api.com/)  The Chat API is based on the WhatsApp WEB protocol and excludes the ban both when using libraries from mgp25 and the like. Despite this, your account can be banned by anti-spam system WhatsApp after several clicking the \"block\" button.

This ObjC package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: 1.0.0
- Package version: 
- Build package: org.openapitools.codegen.languages.ObjcClientCodegen

## Requirements

The SDK requires [**ARC (Automatic Reference Counting)**](http://stackoverflow.com/questions/7778356/how-to-enable-disable-automatic-reference-counting) to be enabled in the Xcode project.

## Installation & Usage
### Install from Github using [CocoaPods](https://cocoapods.org/)

Add the following to the Podfile:

```ruby
pod 'OpenAPIClient', :git => 'https:////.git'
```

To specify a particular branch, append `, :branch => 'branch-name-here'`

To specify a particular commit, append `, :commit => '11aa22'`

### Install from local path using [CocoaPods](https://cocoapods.org/)

Put the SDK under your project folder (e.g. /path/to/objc_project/Vendor/OpenAPIClient) and then add the following to the Podfile:

```ruby
pod 'OpenAPIClient', :path => 'Vendor/OpenAPIClient'
```

### Usage

Import the following:

```objc
#import <OpenAPIClient/OAIApiClient.h>
#import <OpenAPIClient/OAIDefaultConfiguration.h>
// load models
#import <OpenAPIClient/OAIAck.h>
#import <OpenAPIClient/OAIBanSettings.h>
#import <OpenAPIClient/OAIBanTestAction.h>
#import <OpenAPIClient/OAIBanTestStatus.h>
#import <OpenAPIClient/OAIChat.h>
#import <OpenAPIClient/OAIChatIdProp.h>
#import <OpenAPIClient/OAIChatUpdate.h>
#import <OpenAPIClient/OAIChats.h>
#import <OpenAPIClient/OAIClearActionsQueueStatus.h>
#import <OpenAPIClient/OAIClearMessagesQueueStatus.h>
#import <OpenAPIClient/OAICreateGroupAction.h>
#import <OpenAPIClient/OAICreateGroupStatus.h>
#import <OpenAPIClient/OAIForwardMessageRequest.h>
#import <OpenAPIClient/OAIGroupParticipantAction.h>
#import <OpenAPIClient/OAIGroupParticipantStatus.h>
#import <OpenAPIClient/OAIInlineResponse200.h>
#import <OpenAPIClient/OAIInlineResponse2001.h>
#import <OpenAPIClient/OAIInlineResponse2002.h>
#import <OpenAPIClient/OAIInlineResponse2003.h>
#import <OpenAPIClient/OAIInlineResponse2004.h>
#import <OpenAPIClient/OAIInlineResponse2005.h>
#import <OpenAPIClient/OAIInlineResponse2005Update.h>
#import <OpenAPIClient/OAIInlineResponse401.h>
#import <OpenAPIClient/OAIInstanceStatus.h>
#import <OpenAPIClient/OAIInstanceStatusAction.h>
#import <OpenAPIClient/OAIInstanceStatusLink.h>
#import <OpenAPIClient/OAIInstanceStatusStatusData.h>
#import <OpenAPIClient/OAIInstanceStatusStatusDataActions.h>
#import <OpenAPIClient/OAIMessage.h>
#import <OpenAPIClient/OAIMessages.h>
#import <OpenAPIClient/OAIOutboundAction.h>
#import <OpenAPIClient/OAIOutboundActions.h>
#import <OpenAPIClient/OAIOutboundMessage.h>
#import <OpenAPIClient/OAIOutboundMessages.h>
#import <OpenAPIClient/OAIPhoneProp.h>
#import <OpenAPIClient/OAIReadChatAction.h>
#import <OpenAPIClient/OAIReadChatStatus.h>
#import <OpenAPIClient/OAISendContactRequest.h>
#import <OpenAPIClient/OAISendFileRequest.h>
#import <OpenAPIClient/OAISendLinkRequest.h>
#import <OpenAPIClient/OAISendLocationRequest.h>
#import <OpenAPIClient/OAISendMessageRequest.h>
#import <OpenAPIClient/OAISendMessageStatus.h>
#import <OpenAPIClient/OAISendPTTRequest.h>
#import <OpenAPIClient/OAISendVCardRequest.h>
#import <OpenAPIClient/OAISetWebhookStatus.h>
#import <OpenAPIClient/OAISettings.h>
#import <OpenAPIClient/OAIStatus.h>
#import <OpenAPIClient/OAIStatuses.h>
#import <OpenAPIClient/OAIWebhookStatus.h>
#import <OpenAPIClient/OAIWebhookUrl.h>
// load API classes for accessing endpoints
#import <OpenAPIClient/OAIClass1InstanceApi.h>
#import <OpenAPIClient/OAIClass2MessagesApi.h>
#import <OpenAPIClient/OAIClass3ChatsApi.h>
#import <OpenAPIClient/OAIClass4WebhooksApi.h>
#import <OpenAPIClient/OAIClass5QueuesApi.h>
#import <OpenAPIClient/OAIClass6BanApi.h>
#import <OpenAPIClient/OAIClass7TestingApi.h>

```

## Recommendation

It's recommended to create an instance of ApiClient per thread in a multi-threaded environment to avoid any potential issues.

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```objc

OAIDefaultConfiguration *apiConfig = [OAIDefaultConfiguration sharedConfig];

// Configure API key authorization: (authentication scheme: instanceId)
[apiConfig setApiKey:@"YOUR_API_KEY" forApiKeyIdentifier:@"instanceId"];
// Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
//[apiConfig setApiKeyPrefix:@"Bearer" forApiKeyIdentifier:@"instanceId"];

// Configure API key authorization: (authentication scheme: token)
[apiConfig setApiKey:@"YOUR_API_KEY" forApiKeyIdentifier:@"token"];
// Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
//[apiConfig setApiKeyPrefix:@"Bearer" forApiKeyIdentifier:@"token"];



OAIClass1InstanceApi *apiInstance = [[OAIClass1InstanceApi alloc] init];

// Updates the QR code after its expired
[apiInstance expiryWithCompletionHandler: 
              ^(OAIInlineResponse2002* output, NSError* error) {
                            if (output) {
                                NSLog(@"%@", output);
                            }
                            if (error) {
                                NSLog(@"Error: %@", error);
                            }
                        }];

```

## Documentation for API Endpoints

All URIs are relative to *https://api.chat-api.com*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*OAIClass1InstanceApi* | [**expiry**](docs/OAIClass1InstanceApi.md#expiry) | **POST** /expiry | Updates the QR code after its expired
*OAIClass1InstanceApi* | [**getQRCode**](docs/OAIClass1InstanceApi.md#getqrcode) | **GET** /qr_code | Direct link to QR-code in the form of an image, not base64.
*OAIClass1InstanceApi* | [**getSettings**](docs/OAIClass1InstanceApi.md#getsettings) | **GET** /settings | Get settings
*OAIClass1InstanceApi* | [**getStatus**](docs/OAIClass1InstanceApi.md#getstatus) | **GET** /status | Get the account status and QR code for authorization.
*OAIClass1InstanceApi* | [**logout**](docs/OAIClass1InstanceApi.md#logout) | **POST** /logout | Logout from WhatsApp Web to get new QR code.
*OAIClass1InstanceApi* | [**reboot**](docs/OAIClass1InstanceApi.md#reboot) | **POST** /reboot | Reboot your whatsapp instance.
*OAIClass1InstanceApi* | [**retry**](docs/OAIClass1InstanceApi.md#retry) | **POST** /retry | Repeat the manual synchronization attempt with the device
*OAIClass1InstanceApi* | [**setSettings**](docs/OAIClass1InstanceApi.md#setsettings) | **POST** /settings | Set settings
*OAIClass1InstanceApi* | [**takeover**](docs/OAIClass1InstanceApi.md#takeover) | **POST** /takeover | Returns the active session if the device has connected another instance of Web WhatsApp
*OAIClass2MessagesApi* | [**forwardMessage**](docs/OAIClass2MessagesApi.md#forwardmessage) | **POST** /forwardMessage | Forwarding messages to a new or existing chat.
*OAIClass2MessagesApi* | [**getMessages**](docs/OAIClass2MessagesApi.md#getmessages) | **GET** /messages | Get a list of messages.
*OAIClass2MessagesApi* | [**sendContact**](docs/OAIClass2MessagesApi.md#sendcontact) | **POST** /sendContact | Sending a contact or contact list to a new or existing chat.
*OAIClass2MessagesApi* | [**sendFile**](docs/OAIClass2MessagesApi.md#sendfile) | **POST** /sendFile | Send a file to a new or existing chat.
*OAIClass2MessagesApi* | [**sendLink**](docs/OAIClass2MessagesApi.md#sendlink) | **POST** /sendLink | Send text with link and link&#39;s preview to a new or existing chat.
*OAIClass2MessagesApi* | [**sendLocation**](docs/OAIClass2MessagesApi.md#sendlocation) | **POST** /sendLocation | Sending a location to a new or existing chat.
*OAIClass2MessagesApi* | [**sendMessage**](docs/OAIClass2MessagesApi.md#sendmessage) | **POST** /sendMessage | Send a message to a new or existing chat.
*OAIClass2MessagesApi* | [**sendPTT**](docs/OAIClass2MessagesApi.md#sendptt) | **POST** /sendPTT | Send a ptt-audio to a new or existing chat.
*OAIClass2MessagesApi* | [**sendVCard**](docs/OAIClass2MessagesApi.md#sendvcard) | **POST** /sendVCard | Sending a vcard to a new or existing chat.
*OAIClass3ChatsApi* | [**addGroupParticipant**](docs/OAIClass3ChatsApi.md#addgroupparticipant) | **POST** /addGroupParticipant | Adding participant to a group
*OAIClass3ChatsApi* | [**demoteGroupParticipant**](docs/OAIClass3ChatsApi.md#demotegroupparticipant) | **POST** /demoteGroupParticipant | Demote group participant
*OAIClass3ChatsApi* | [**getChats**](docs/OAIClass3ChatsApi.md#getchats) | **GET** /dialogs | Get the chat list.
*OAIClass3ChatsApi* | [**group**](docs/OAIClass3ChatsApi.md#group) | **POST** /group | Creates a group and sends the message to the created group.
*OAIClass3ChatsApi* | [**promoteGroupParticipant**](docs/OAIClass3ChatsApi.md#promotegroupparticipant) | **POST** /promoteGroupParticipant | Make participant in the group an administrator
*OAIClass3ChatsApi* | [**readChat**](docs/OAIClass3ChatsApi.md#readchat) | **POST** /readChat | Open chat for reading messages
*OAIClass3ChatsApi* | [**removeGroupParticipant**](docs/OAIClass3ChatsApi.md#removegroupparticipant) | **POST** /removeGroupParticipant | Remove participant from a group
*OAIClass4WebhooksApi* | [**setWebhook**](docs/OAIClass4WebhooksApi.md#setwebhook) | **POST** /webhook | Sets the URL for receiving webhook
*OAIClass5QueuesApi* | [**clearActionsQueue**](docs/OAIClass5QueuesApi.md#clearactionsqueue) | **POST** /clearActionsQueue | Clear outbound actions queue.
*OAIClass5QueuesApi* | [**clearMessagesQueue**](docs/OAIClass5QueuesApi.md#clearmessagesqueue) | **POST** /clearMessagesQueue | Clear outbound messages queue.
*OAIClass5QueuesApi* | [**showActionsQueue**](docs/OAIClass5QueuesApi.md#showactionsqueue) | **GET** /showActionsQueue | Get outbound messages queue.
*OAIClass5QueuesApi* | [**showMessagesQueue**](docs/OAIClass5QueuesApi.md#showmessagesqueue) | **GET** /showMessagesQueue | Get outbound messages queue.
*OAIClass6BanApi* | [**banTest**](docs/OAIClass6BanApi.md#bantest) | **POST** /banTest | Test ban settings
*OAIClass6BanApi* | [**getBanSettings**](docs/OAIClass6BanApi.md#getbansettings) | **GET** /banSettings | Get settings
*OAIClass6BanApi* | [**setBanSettings**](docs/OAIClass6BanApi.md#setbansettings) | **POST** /banSettings | Set settings
*OAIClass7TestingApi* | [**instanceStatuses**](docs/OAIClass7TestingApi.md#instancestatuses) | **GET** /instanceStatuses | Returns instance status changes history.
*OAIClass7TestingApi* | [**webhookStatuses**](docs/OAIClass7TestingApi.md#webhookstatuses) | **GET** /webhookStatus | Returns webhook status for message.


## Documentation For Models

 - [OAIAck](docs/OAIAck.md)
 - [OAIBanSettings](docs/OAIBanSettings.md)
 - [OAIBanTestAction](docs/OAIBanTestAction.md)
 - [OAIBanTestStatus](docs/OAIBanTestStatus.md)
 - [OAIChat](docs/OAIChat.md)
 - [OAIChatIdProp](docs/OAIChatIdProp.md)
 - [OAIChatUpdate](docs/OAIChatUpdate.md)
 - [OAIChats](docs/OAIChats.md)
 - [OAIClearActionsQueueStatus](docs/OAIClearActionsQueueStatus.md)
 - [OAIClearMessagesQueueStatus](docs/OAIClearMessagesQueueStatus.md)
 - [OAICreateGroupAction](docs/OAICreateGroupAction.md)
 - [OAICreateGroupStatus](docs/OAICreateGroupStatus.md)
 - [OAIForwardMessageRequest](docs/OAIForwardMessageRequest.md)
 - [OAIGroupParticipantAction](docs/OAIGroupParticipantAction.md)
 - [OAIGroupParticipantStatus](docs/OAIGroupParticipantStatus.md)
 - [OAIInlineResponse200](docs/OAIInlineResponse200.md)
 - [OAIInlineResponse2001](docs/OAIInlineResponse2001.md)
 - [OAIInlineResponse2002](docs/OAIInlineResponse2002.md)
 - [OAIInlineResponse2003](docs/OAIInlineResponse2003.md)
 - [OAIInlineResponse2004](docs/OAIInlineResponse2004.md)
 - [OAIInlineResponse2005](docs/OAIInlineResponse2005.md)
 - [OAIInlineResponse2005Update](docs/OAIInlineResponse2005Update.md)
 - [OAIInlineResponse401](docs/OAIInlineResponse401.md)
 - [OAIInstanceStatus](docs/OAIInstanceStatus.md)
 - [OAIInstanceStatusAction](docs/OAIInstanceStatusAction.md)
 - [OAIInstanceStatusLink](docs/OAIInstanceStatusLink.md)
 - [OAIInstanceStatusStatusData](docs/OAIInstanceStatusStatusData.md)
 - [OAIInstanceStatusStatusDataActions](docs/OAIInstanceStatusStatusDataActions.md)
 - [OAIMessage](docs/OAIMessage.md)
 - [OAIMessages](docs/OAIMessages.md)
 - [OAIOutboundAction](docs/OAIOutboundAction.md)
 - [OAIOutboundActions](docs/OAIOutboundActions.md)
 - [OAIOutboundMessage](docs/OAIOutboundMessage.md)
 - [OAIOutboundMessages](docs/OAIOutboundMessages.md)
 - [OAIPhoneProp](docs/OAIPhoneProp.md)
 - [OAIReadChatAction](docs/OAIReadChatAction.md)
 - [OAIReadChatStatus](docs/OAIReadChatStatus.md)
 - [OAISendContactRequest](docs/OAISendContactRequest.md)
 - [OAISendFileRequest](docs/OAISendFileRequest.md)
 - [OAISendLinkRequest](docs/OAISendLinkRequest.md)
 - [OAISendLocationRequest](docs/OAISendLocationRequest.md)
 - [OAISendMessageRequest](docs/OAISendMessageRequest.md)
 - [OAISendMessageStatus](docs/OAISendMessageStatus.md)
 - [OAISendPTTRequest](docs/OAISendPTTRequest.md)
 - [OAISendVCardRequest](docs/OAISendVCardRequest.md)
 - [OAISetWebhookStatus](docs/OAISetWebhookStatus.md)
 - [OAISettings](docs/OAISettings.md)
 - [OAIStatus](docs/OAIStatus.md)
 - [OAIStatuses](docs/OAIStatuses.md)
 - [OAIWebhookStatus](docs/OAIWebhookStatus.md)
 - [OAIWebhookUrl](docs/OAIWebhookUrl.md)


## Documentation For Authorization


## instanceId

- **Type**: API key
- **API key parameter name**: instanceId
- **Location**: URL query string

## token

- **Type**: API key
- **API key parameter name**: token
- **Location**: URL query string


## Author

sale@chat-api.com


